summaryrefslogtreecommitdiff
path: root/test/integration/test-bug-921685-binary-detached-signature
diff options
context:
space:
mode:
authorJulian Andres Klode <jak@debian.org>2019-03-04 13:17:00 +0000
committerJulian Andres Klode <jak@debian.org>2019-03-04 13:17:00 +0000
commit6f0b5269896c04f4afb6a74ce0c3e76bfe51e2d3 (patch)
tree45aeed4ec6433b8cc20641017c06fc3d940427f3 /test/integration/test-bug-921685-binary-detached-signature
parentc3005277c395c7bcb81f470e3e0466e2fd3ab38e (diff)
parent3e3638dc9389591cfd30baa6c41d85c31127402a (diff)
Merge branch 'bugfix/reportbinarysig' into '1.8.y'
Add explicit message for unsupported binary signature See merge request apt-team/apt!52
Diffstat (limited to 'test/integration/test-bug-921685-binary-detached-signature')
-rwxr-xr-xtest/integration/test-bug-921685-binary-detached-signature22
1 files changed, 22 insertions, 0 deletions
diff --git a/test/integration/test-bug-921685-binary-detached-signature b/test/integration/test-bug-921685-binary-detached-signature
new file mode 100755
index 000000000..df863197a
--- /dev/null
+++ b/test/integration/test-bug-921685-binary-detached-signature
@@ -0,0 +1,22 @@
+#!/bin/sh
+set -e
+
+TESTDIR="$(readlink -f "$(dirname "$0")")"
+. "$TESTDIR/framework"
+setupenvironment
+configarchitecture 'amd64'
+
+insertpackage 'unstable' 'foo' 'all' '1'
+
+buildaptarchive
+setupdistsaptarchive
+
+for RELEASE in $(find aptarchive -name 'Release'); do
+ # note the missing --armor
+ dosigning "keys/joesixpack" --detach-sign --sign --output "${RELEASE}.gpg" "${RELEASE}"
+done
+
+testfailure apt show foo
+testfailure aptget update
+testsuccess grep 'W: .* Detached signature file .* is in unsupported binary format' rootdir/tmp/testfailure.output
+testfailure apt show foo